diff -NrbBc xfce-3.8.14b/Makefile.in xfce-3.8.14bD/Makefile.in
*** xfce-3.8.14b/Makefile.in	Tue Jan 22 13:47:32 2002
--- xfce-3.8.14bD/Makefile.in	Tue Jan 22 22:11:12 2002
***************
*** 40,49 ****
  
  top_builddir = .
  
! ACLOCAL = @ACLOCAL@
! AUTOCONF = @AUTOCONF@
! AUTOMAKE = @AUTOMAKE@
! AUTOHEADER = @AUTOHEADER@
  
  INSTALL = @INSTALL@
  INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
--- 40,49 ----
  
  top_builddir = .
  
! ACLOCAL = true
! AUTOCONF = true
! AUTOMAKE = true
! AUTOHEADER = true
  
  INSTALL = @INSTALL@
  INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
diff -NrbBc xfce-3.8.14b/configure xfce-3.8.14bD/configure
*** xfce-3.8.14b/configure	Tue Jan 22 13:47:41 2002
--- xfce-3.8.14bD/configure	Tue Jan 22 21:55:44 2002
***************
*** 1250,1260 ****
  
  LIB_MAJOR=1
  LIB_MINOR=38
! LIB_TINY=14
  
  LIBVERSION=${LIB_MAJOR}:${LIB_MINOR}:${LIB_TINY}
  
! XFCE_VERSION=3.8.14b
  xfce_version=`grep version xfce.spec | grep define | sed -e 's,[^0-9.],,g'`
  case `echo $xfce_version | sed -e "s,$XFCE_VERSION,DEVELOPMENTVERSION,"` in
    DEVELOPMENTVERSION.*)
--- 1250,1260 ----
  
  LIB_MAJOR=1
  LIB_MINOR=38
! LIB_TINY=14D
  
  LIBVERSION=${LIB_MAJOR}:${LIB_MINOR}:${LIB_TINY}
  
! XFCE_VERSION=3.8.14bD
  xfce_version=`grep version xfce.spec | grep define | sed -e 's,[^0-9.],,g'`
  case `echo $xfce_version | sed -e "s,$XFCE_VERSION,DEVELOPMENTVERSION,"` in
    DEVELOPMENTVERSION.*)
diff -NrbBc xfce-3.8.14b/configure.in xfce-3.8.14bD/configure.in
*** xfce-3.8.14b/configure.in	Tue Jan 22 13:47:09 2002
--- xfce-3.8.14bD/configure.in	Tue Jan 22 21:56:01 2002
***************
*** 15,25 ****
  
  LIB_MAJOR=1
  LIB_MINOR=38
! LIB_TINY=14
  
  LIBVERSION=${LIB_MAJOR}:${LIB_MINOR}:${LIB_TINY}
  
! XFCE_VERSION=3.8.14b
  xfce_version=`grep version xfce.spec | grep define | sed -e 's,[[^0-9.]],,g'`
  case `echo $xfce_version | sed -e "s,$XFCE_VERSION,DEVELOPMENTVERSION,"` in
    DEVELOPMENTVERSION.*) 
--- 15,25 ----
  
  LIB_MAJOR=1
  LIB_MINOR=38
! LIB_TINY=14D
  
  LIBVERSION=${LIB_MAJOR}:${LIB_MINOR}:${LIB_TINY}
  
! XFCE_VERSION=3.8.14bD
  xfce_version=`grep version xfce.spec | grep define | sed -e 's,[[^0-9.]],,g'`
  case `echo $xfce_version | sed -e "s,$XFCE_VERSION,DEVELOPMENTVERSION,"` in
    DEVELOPMENTVERSION.*) 
diff -NrbBc xfce-3.8.14b/libs/mygtkclock.c xfce-3.8.14bD/libs/mygtkclock.c
*** xfce-3.8.14b/libs/mygtkclock.c	Sun Dec 16 14:27:23 2001
--- xfce-3.8.14bD/libs/mygtkclock.c	Tue Jan 22 21:58:23 2002
***************
*** 566,574 ****
        clock->mode = MY_GTK_CLOCK_DIGITAL;
        break;
      case MY_GTK_CLOCK_DIGITAL:
-       clock->mode = MY_GTK_CLOCK_LEDS;
-       break;
-     case MY_GTK_CLOCK_LEDS:
      default:
        clock->mode = MY_GTK_CLOCK_ANALOG;
    }
--- 566,571 ----
***************
*** 887,1001 ****
  }
  
  static void
- my_gtk_clock_draw_leds (GtkWidget * widget)
- {
-   MyGtkClock *clock;
-   time_t ticks;
-   struct tm *tm;
-   gint h, m, s;
-   gint x, y;
-   guint c_width = 0;
-   guint c_height = 0;
-   guint len, i;
-   gchar ampm[2] = "A";
-   gchar separator[2] = ":";
-   gchar time_buf[24];
-   
-   g_return_if_fail (widget != NULL);
-   g_return_if_fail (GTK_IS_MY_CLOCK (widget));
- 
-   clock = MY_GTK_CLOCK (widget);
- 
-   ticks = time (0);
-   tm = localtime (&ticks);
-   h = tm->tm_hour;
-   m = tm->tm_min;
-   s = tm->tm_sec;
- 
-   if (h >= 12)
-     ampm[0] = 'P';
- 
-   if (s & 1)
-     separator[0] = ':';
-   else
-     separator[0] = ' ';
-   
-   if (!(clock->military_time))
-   {
-     if (h > 12)
-       h -= 12;
-     if (h == 0)
-       h = 12;
-   }
- 
-   if (clock->military_time)
-   {
-     if (clock->display_secs)
-       sprintf (time_buf, "%02d%s%02d%s%02d", h, separator, m, separator, s);
-     else
-       sprintf (time_buf, "%02d%s%02d", h, separator, m);
-   }
-   else
-   {
-     if (clock->display_am_pm)
-     {
-       if (clock->display_secs)
- 	sprintf (time_buf, "%02d%s%02d%s%02d%s", h, separator, m, separator, s, ampm);
-       else
- 	sprintf (time_buf, "%02d%s%02d%s", h, separator, m, ampm);
-     }
-     else
-     {
-       if (clock->display_secs)
- 	sprintf (time_buf, "%02d%s%02d%s%02d", h, separator, m, separator, s);
-       else
- 	sprintf (time_buf, "%02d%s%02d", h, separator, m);
-     }
-   }
-   if (time_buf[0] == '0')
-     time_buf[0] = ' ';
-     
-   len = strlen (time_buf);
-   
-   if (((len * digits_huge_width) <= widget->allocation.width) && (digits_huge_height <= widget->allocation.height))
-   {
-     clock->leds_size = DIGIT_HUGE;
-     c_width          = digits_huge_width;
-     c_height         = digits_huge_height;
-   }
-   else if (((len * digits_large_width) <= widget->allocation.width) && (digits_large_height <= widget->allocation.height))
-   {
-     clock->leds_size = DIGIT_LARGE;
-     c_width          = digits_large_width;
-     c_height         = digits_large_height;
-   }
-   else if (((len * digits_medium_width) <= widget->allocation.width) && (digits_medium_height <= widget->allocation.height))
-   {
-     clock->leds_size = DIGIT_MEDIUM;
-     c_width          = digits_medium_width;
-     c_height         = digits_medium_height;
-   }
-   else
-   {
-     clock->leds_size = DIGIT_SMALL;
-     c_width          = digits_small_width;
-     c_height         = digits_small_height;
-   }
-   
-   /* Center in the widget */
-   x = (widget->allocation.width - (c_width * len)) / 2;
- 
-   y = (widget->allocation.height - c_height) / 2;
- 
-   gtk_draw_box (widget->style, widget->window, widget->state, clock->shadow_type, 0, 0, widget->allocation.width, widget->allocation.height);
-   for (i = 0; i < len; i++)
-   {
-     draw_digits (clock, widget->style->dark_gc[GTK_STATE_NORMAL], x + i *c_width + 1, y + 1, time_buf[i]);
-     draw_digits (clock, widget->style->text_gc[GTK_STATE_NORMAL], x + i *c_width , y, time_buf[i]);
-   }
- }
- 
- static void
  my_gtk_clock_draw_internal (GtkWidget * widget)
  {
    MyGtkClock *clock;
--- 884,889 ----
***************
*** 1012,1020 ****
      case MY_GTK_CLOCK_ANALOG:
        my_gtk_clock_draw_analog (widget);
        break;
-     case MY_GTK_CLOCK_LEDS:
-       my_gtk_clock_draw_leds (widget);
-       break;
      case MY_GTK_CLOCK_DIGITAL:
      default:
        my_gtk_clock_draw_digital (widget);
--- 900,905 ----
***************
*** 1085,1091 ****
    h = tm->tm_hour;
    m = tm->tm_min;
    s = tm->tm_sec;
!   if (!(((!((clock->display_secs) || (clock->mode == MY_GTK_CLOCK_LEDS))) || (s == os)) && (m == om) && (h == oh)))
    {
      os = s;
      om = m;
--- 970,976 ----
    h = tm->tm_hour;
    m = tm->tm_min;
    s = tm->tm_sec;
!   if (!(((!((clock->display_secs))) || (s == os)) && (m == om) && (h == oh)))
    {
      os = s;
      om = m;
***************
*** 1125,1186 ****
  }
  
  
- static void
- draw_digits (MyGtkClock * clock, GdkGC * gc, gint x, gint y, gchar c)
- {
-   gint tsx, tsy ,tsw, tsh;
-   guint tc = 0;
-    
-   g_return_if_fail (clock != NULL);
-   g_return_if_fail (GTK_IS_MY_CLOCK (clock));
- 
-   if ((c >= '0') && (c <= '9'))
-     tc = c - '0';
-   else if ((c == 'A') || (c == 'a'))
-     tc = 10;
-   else if ((c == 'P') || (c == 'p'))
-     tc = 11;
-   else if (c == ':')
-     tc = 12;
-   else 
-     return;
-   
-   switch (clock->leds_size)
-   {
-     case DIGIT_HUGE:
-       tsx = tc * digits_huge_width;
-       tsy = digits_small_height + digits_medium_height + digits_large_height;
-       tsw = digits_huge_width;
-       tsh = digits_huge_height;
-       break;
-     case DIGIT_LARGE:
-       tsx = tc * digits_large_width;
-       tsy = digits_small_height + digits_medium_height;
-       tsw = digits_large_width;
-       tsh = digits_large_height;
-       break;
-     case DIGIT_MEDIUM:
-       tsx = tc * digits_medium_width;
-       tsy = digits_small_height;
-       tsw = digits_medium_width;
-       tsh = digits_medium_height;
-       break;
-     case DIGIT_SMALL:
-     default:
-       tsx = tc * digits_small_width;
-       tsy = 0;
-       tsw = digits_small_width;
-       tsh = digits_small_height;
-       break;
-   }
- 
-   gdk_gc_set_stipple (gc, clock->digits_bmap);
-   gdk_gc_set_fill (gc, GDK_STIPPLED);
-   gdk_gc_set_ts_origin (gc, digits_width - tsx + x, digits_height - tsy + y);
- 
-   gdk_draw_rectangle (GTK_WIDGET(clock)->window, gc, TRUE, x, y, tsw, tsh);
- 
-   gdk_gc_set_fill (gc, GDK_SOLID);
- 
- }
- 
--- 1010,1012 ----
diff -NrbBc xfce-3.8.14b/libs/mygtkclock.h xfce-3.8.14bD/libs/mygtkclock.h
*** xfce-3.8.14b/libs/mygtkclock.h	Tue Oct  2 02:39:27 2001
--- xfce-3.8.14bD/libs/mygtkclock.h	Tue Jan 22 21:58:34 2002
***************
*** 42,48 ****
    {
      MY_GTK_CLOCK_ANALOG,
      MY_GTK_CLOCK_DIGITAL,
-     MY_GTK_CLOCK_LEDS
    }
    MyGtkClockMode;
  
--- 42,47 ----
diff -NrbBc xfce-3.8.14b/scripts/xflock xfce-3.8.14bD/scripts/xflock
*** xfce-3.8.14b/scripts/xflock	Thu Jul 12 14:45:22 2001
--- xfce-3.8.14bD/scripts/xflock	Tue Jan 22 21:59:14 2002
***************
*** 19,23 ****
  #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  #
  
! xscreensaver-command -lock || xlock $*
  exit 0
--- 19,29 ----
  #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  #
  
! xalid=`ps -u ${LOGNAME} | grep xautolock | grep -v grep`
! if [ "x$xalid" != "x" ]; then
!   xautolock -locknow
! else
!   exec xlock -resetsaver ${1:+"$*"}
! fi
  exit 0
+ # EOF
diff -NrbBc xfce-3.8.14b/xfce/minpower.h xfce-3.8.14bD/xfce/minpower.h
*** xfce-3.8.14b/xfce/minpower.h	Fri Aug 31 14:30:49 2001
--- xfce-3.8.14bD/xfce/minpower.h	Tue Jan 22 21:59:55 2002
***************
*** 1,27 ****
  /* XPM */
  static char *minpower[] = {
  /* width height num_colors chars_per_pixel */
!   "    14    16        4            1",
  /* colors */
!   ". c none",
!   "# c #595959",
!   "a c #183c59",
!   "b c #fff7f7",
  /* pixels */
!   ".....###b.....",
!   ".....#aab.....",
!   ".....#aab.....",
!   "..##b#aab###..",
!   ".#aab#aab#aab.",
!   "#aaab#aab#aaab",
!   "#aab.#aab.#aab",
!   "#aab.#aab.#aab",
!   "#aab.bbbb.#aab",
!   "#aab......#aab",
!   "#aab......#aab",
!   "#aaab....#aaab",
!   ".#aaa####aaab.",
!   ".#aaaaaaaaaab.",
!   "..bbaaaaaabb..",
!   "....bbbbbb...."
  };
--- 1,30 ----
  /* XPM */
  static char *minpower[] = {
  /* width height num_colors chars_per_pixel */
! "    24    17        6            1",
  /* colors */
! ". c none",
! "# c #5d6169",
! "a c #dfdfdf",
! "b c #bebebe",
! "c c #414141",
! "d c #202020",
  /* pixels */
! "########################",
! "#aaaaaaaaaaaaaaaaaaaaaaa",
! "#abbbbbbbbbbbbbbbbbbbbca",
! "#abddddbdbbbdbcbdddddbca",
! "#abdbbbbdbbbdbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbbdddbbdbbbdbbbca",
! "#abdbbbbbbdbbbdbbbdbbbca",
! "#abdddbbbbdbbbdbbbdbbbca",
! "#abdbbbbbdddbbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbdbbbdbdbbbdbbbca",
! "#abddddbdbbbdbdbbbdbbbca",
! "#abbbbbbbbbbbbbbbbbbbbca",
! "caccccccccccccccccccccca",
! "caaaaaaaaaaaaaaaaaaaaaaa"
  };
diff -NrbBc xfce-3.8.14b/xfce/xfce.c xfce-3.8.14bD/xfce/xfce.c
*** xfce-3.8.14b/xfce/xfce.c	Thu Oct  4 13:36:26 2001
--- xfce-3.8.14bD/xfce/xfce.c	Tue Jan 22 22:00:47 2002
***************
*** 121,131 ****
  void
  update_gxfce_clock (void)
  {
- #ifdef OLD_STYLE
    my_gtk_clock_set_mode (MY_GTK_CLOCK (gxfce_clock), current_config.digital_clock ? MY_GTK_CLOCK_DIGITAL : MY_GTK_CLOCK_ANALOG);
- #else
-   my_gtk_clock_set_mode (MY_GTK_CLOCK (gxfce_clock), current_config.digital_clock ? MY_GTK_CLOCK_LEDS : MY_GTK_CLOCK_ANALOG);
- #endif
    my_gtk_clock_show_military (MY_GTK_CLOCK (gxfce_clock), current_config.hrs_mode);
  }
  
--- 121,127 ----
***************
*** 700,706 ****
    gtk_container_add (GTK_CONTAINER (gxfce_quit), gxfce_quit_pixmap);
  
    gxfce_quit_tooltip = my_tooltips_new (current_config.tooltipsdelay);
!   gtk_tooltips_set_tip (gxfce_quit_tooltip, gxfce_quit, _("Quit"), "ContextHelp/buttons/?");
    gtk_object_set_data (GTK_OBJECT (gxfce), "tooltips", gxfce_quit_tooltip);
  
    gtk_table_attach (GTK_TABLE (gxfce_rightbuttons_table), gxfce_quit, 0, 1, 1, 2, (GtkAttachOptions) GTK_EXPAND | GTK_FILL | GTK_SHRINK, (GtkAttachOptions) GTK_EXPAND | GTK_SHRINK, 0, 0);
--- 696,702 ----
    gtk_container_add (GTK_CONTAINER (gxfce_quit), gxfce_quit_pixmap);
  
    gxfce_quit_tooltip = my_tooltips_new (current_config.tooltipsdelay);
!   gtk_tooltips_set_tip (gxfce_quit_tooltip, gxfce_quit, _("Exit"), "ContextHelp/buttons/?");
    gtk_object_set_data (GTK_OBJECT (gxfce), "tooltips", gxfce_quit_tooltip);
  
    gtk_table_attach (GTK_TABLE (gxfce_rightbuttons_table), gxfce_quit, 0, 1, 1, 2, (GtkAttachOptions) GTK_EXPAND | GTK_FILL | GTK_SHRINK, (GtkAttachOptions) GTK_EXPAND | GTK_SHRINK, 0, 0);
diff -NrbBc xfce-3.8.14b/xfce/xfce_cb.c xfce-3.8.14bD/xfce/xfce_cb.c
*** xfce-3.8.14b/xfce/xfce_cb.c	Thu Oct  4 13:36:26 2001
--- xfce-3.8.14bD/xfce/xfce_cb.c	Tue Jan 22 22:01:23 2002
***************
*** 230,247 ****
  
    clock = MY_GTK_CLOCK (data);
    mode = my_gtk_clock_get_mode (clock);
- #ifdef OLD_STYLE
    if (mode == MY_GTK_CLOCK_DIGITAL)
- #else
-   if (mode == MY_GTK_CLOCK_LEDS)
- #endif
      my_gtk_clock_set_mode (clock, MY_GTK_CLOCK_ANALOG);
    else
- #ifdef OLD_STYLE
      my_gtk_clock_set_mode (clock, MY_GTK_CLOCK_DIGITAL);
- #else
-     my_gtk_clock_set_mode (clock, MY_GTK_CLOCK_LEDS);
- #endif
    current_config.digital_clock = (mode == MY_GTK_CLOCK_ANALOG);
    writeconfig ();
  }
--- 230,239 ----
***************
*** 273,290 ****
  
    mode = my_gtk_clock_get_mode (clock);
  
- #ifdef OLD_STYLE
    GTK_CHECK_MENU_ITEM (gxfce_clock_digital_mode)->active = (mode == MY_GTK_CLOCK_DIGITAL);
- #else
-   GTK_CHECK_MENU_ITEM (gxfce_clock_digital_mode)->active = (mode == MY_GTK_CLOCK_LEDS);
- #endif
    GTK_CHECK_MENU_ITEM (gxfce_clock_hrs_mode)->active = my_gtk_clock_military_shown (clock);
  
- #ifdef OLD_STYLE
    gtk_widget_set_sensitive (GTK_WIDGET (gxfce_clock_hrs_mode), (mode == MY_GTK_CLOCK_DIGITAL));
- #else
-   gtk_widget_set_sensitive (GTK_WIDGET (gxfce_clock_hrs_mode), (mode == MY_GTK_CLOCK_LEDS));
- #endif
  
    gtk_menu_popup (GTK_MENU (gxfce_clock_popup_menu), NULL, NULL, NULL, NULL, event->button, event->time);
    return (TRUE);
--- 265,274 ----
diff -NrbBc xfce-3.8.14b/xfce-3.8.14.lsm xfce-3.8.14bD/xfce-3.8.14.lsm
*** xfce-3.8.14b/xfce-3.8.14.lsm	Mon Jan 21 13:13:01 2002
--- xfce-3.8.14bD/xfce-3.8.14.lsm	Tue Jan 22 22:01:32 2002
***************
*** 1,6 ****
  Begin3
  Title		XFce
! Version:        3.8.14
  Entered-date:   21JAN02
  Description:    XFce is an easy-to-use and easy-to-configure environment 
  		using the popular GTK+ toolkit for X11, featuring drag'n drop,
--- 1,6 ----
  Begin3
  Title		XFce
! Version:        3.8.14D
  Entered-date:   21JAN02
  Description:    XFce is an easy-to-use and easy-to-configure environment 
  		using the popular GTK+ toolkit for X11, featuring drag'n drop,
diff -NrbBc xfce-3.8.14b/xfce.spec xfce-3.8.14bD/xfce.spec
*** xfce-3.8.14b/xfce.spec	Tue Jan 22 13:47:16 2002
--- xfce-3.8.14bD/xfce.spec	Tue Jan 22 22:02:00 2002
***************
*** 1,5 ****
  %define 	name	xfce
! %define 	version	3.8.14b
  %define		release	1
  %define		prefix 	/usr
  %define		datadir /usr/share
--- 1,5 ----
  %define 	name	xfce
! %define 	version	3.8.14bD
  %define		release	1
  %define		prefix 	/usr
  %define		datadir /usr/share
***************
*** 18,25 ****
  Group: 		User Interface/Desktops
  Source:		http://www.xfce.org/archive/%{name}-%{version}.tar.gz
  Buildroot: 	/var/tmp/%{name}-root
! # Requires: 	xscreensaver, xfce-libs, gtk+ >= 1.2.8
! Requires: 	xscreensaver, gtk+ >= 1.2.8
  Packager:	Olivier Fourdan <fourdan@xfce.org>
  
  %description
--- 18,25 ----
  Group: 		User Interface/Desktops
  Source:		http://www.xfce.org/archive/%{name}-%{version}.tar.gz
  Buildroot: 	/var/tmp/%{name}-root
! # Requires: 	xfce-libs, gtk+ >= 1.2.8
! Requires: 	gtk+ >= 1.2.8
  Packager:	Olivier Fourdan <fourdan@xfce.org>
  
  %description
